Erro incômodo com o Postgresql no Mac

Esse é um post bem curto que resolvi escrever depois de me incomodar com um erro esquisito no Postgresql no Mac após a atualização para o MacOS Sierra.
O servidor do Postgresql estava funcionando OK mas o client cli me retorna o erro abaixo sempre que eu o executava:

error-1

Eu costumo usar o homebrew para instalar a maioria das coisas no meu mac, primeiramente eu pensei que fosse algum problema com algum link simbólico incorreto, então eu executei o comando abaixo para ver se resolvia:

error-2

Mesmo assim o erro persistu, então eu removi o readline e reinstalei:

error-3

Mas nada. :(

Tentei reinstalar forçando o build from source:

error-4


Nessa hora eu já tava ficando puto e nada … resolvi então chutar o balde o reinstalar o PostgreSQL:

error-5


Reinstalando a porra toda e funcionou. :)

error-6


Tcham :)

Fica a dica para quem estiver passando pelo mesmo problema que eu.

Acredito que na atualização do sistema operacional alguma lib ficou desatualizada o que gerou este problema. Em outros tempos não muito distantes, eu teria feito uma instalação limpa do sistema todo, ainda bem que hoje eu estou aprendendo a lidar de forma diferente com este tipo de problema.

Go Top
comments powered by Disqus